---
name: Bug report
about: Create a report to help Locus improve
title: "[BUG] <Insert your title here>"
labels: bug
assignees: ''

---

## OS
<!-- Tick on which OS this issue happens -->
* [ ] Android
* [ ] iOS

## Android specific
If you ticked `Android`, please specify on which Android flavor this issue happens

* [ ] Samsung Android (Samsung Phones)
* [ ] MIUI (Xiaomi Phones)
* [ ] Stock ROM (Google Phones)
* [ ] Huawei Android (Huawei Phones)
* [ ] GrapheneOS
  * [ ] I do have Google Play Services installed
* [ ] LineageOS

## Describe the bug
A clear and concise description of what the bug is.

## To Reproduce
Steps to reproduce the behavior:
1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error

## Expected behavior
A clear and concise description of what you expected to happen.

## Screenshots
If applicable, add screenshots to help explain your problem.

## Additional context
Add any other context about the problem here.

## Priority
Please set a realistic priority on how important this issue is to you. We will fix all bugs, but urgent bugs (such as the app not starting at all for example) are more important than fixing some styles for example.

* [ ] Low
* [ ] Medium
* [ ] High
* [ ] Urgent
 
## App Version
Please add the version you have installed here. You can find the version by opening Locus > Tap on the top right settings icon > Scroll completely down > At the very bottom you can find your version with your flavor, for example "Version 0.8.1 (GMS)" or "Version 0.7.0 (FLOSS)".
 
## Logs
<!-- Locus generates logs by default. If you attach your log file, this will help us much more speeding up the process. You do not have to attach the file, but you may be asked to do so later -->
 
<!-- How to export logs: Open Locus > Open Settings (top right icon) > Scroll completely down > Press the bottom "Export Logs" at the very bottom > You can now share the file - Transfer it to your PC however you like or import it via GitHub mobile. Attach the .zip file to this issue -->
